- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QGraphicsLinearLayout Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qgraphicslinearlayout.h.

`#include <qgraphicslinearlayout.h>`

Inheritance diagram for QGraphicsLinearLayout:
[legend]

List of all members.

## Public Member Functions
| QGraphicsLinearLayout (QGraphicsLayoutItem *parent=0)
| QGraphicsLinearLayout (Qt::Orientation orientation, QGraphicsLayoutItem *parent=0)
virtual | ~QGraphicsLinearLayout ()
void | setOrientation (Qt::Orientation orientation)
Qt::Orientation | orientation () const
void | addItem (QGraphicsLayoutItem *item)
void | addStretch (int stretch=1)
void | insertItem (int index, QGraphicsLayoutItem *item)
void | insertStretch (int index, int stretch=1)
void | removeItem (QGraphicsLayoutItem *item)
void | removeAt (int index)
void | setSpacing (qreal spacing)
qreal | spacing () const
void | setItemSpacing (int index, qreal spacing)
qreal | itemSpacing (int index) const
void | setStretchFactor (QGraphicsLayoutItem *item, int stretch)
int | stretchFactor (QGraphicsLayoutItem *item) const
void | setAlignment (QGraphicsLayoutItem *item, Qt::Alignment alignment)
Qt::Alignment | alignment (QGraphicsLayoutItem *item) const
void | setGeometry (const QRectF &rect)
int | count () const
QGraphicsLayoutItem * | itemAt (int index) const
void | invalidate ()
QSizeF | sizeHint (Qt::SizeHint which, const QSizeF &constraint=QSizeF()) const
void | dump (int indent=0) const

## Constructor & Destructor Documentation

QGraphicsLinearLayout | ( | QGraphicsLayoutItem * | parent = `0` | ) |

QGraphicsLinearLayout | ( | Qt::Orientation | orientation,
|  | QGraphicsLayoutItem * | parent = `0`
| ) |  |

virtual ~QGraphicsLinearLayout | ( |  | ) | `[virtual]`

## Member Function Documentation

void setOrientation | ( | Qt::Orientation | orientation | ) |

Search for all occurrences

Qt::Orientation orientation | ( |  | ) | const

Search for all occurrences

void addItem | ( | QGraphicsLayoutItem * | item | ) | `[inline]`

Search for all occurrences

Definition at line 68 of file qgraphicslinearlayout.h.

    { insertItem(-1, item); }

void addStretch | ( | int | stretch = `1` | ) | `[inline]`

Search for all occurrences

Definition at line 69 of file qgraphicslinearlayout.h.

    { insertStretch(-1, stretch); }

void insertItem | ( | int | index,
|  | QGraphicsLayoutItem * | item
| ) |  |

Search for all occurrences

void insertStretch | ( | int | index,
|  | int | stretch = `1`
| ) |  |

Search for all occurrences

void removeItem | ( | QGraphicsLayoutItem * | item | ) |

Search for all occurrences

void removeAt | ( | int | index | ) | `[virtual]`

Search for all occurrences

Implements QGraphicsLayout.

void setSpacing | ( | qreal | spacing | ) |

Search for all occurrences

qreal spacing | ( |  | ) | const

Search for all occurrences

void setItemSpacing | ( | int | index,
|  | qreal | spacing
| ) |  |

Search for all occurrences

qreal itemSpacing | ( | int | index | ) | const

Search for all occurrences

void setStretchFactor | ( | QGraphicsLayoutItem * | item,
|  | int | stretch
| ) |  |

Search for all occurrences

int stretchFactor | ( | QGraphicsLayoutItem * | item | ) | const

Search for all occurrences

void setAlignment | ( | QGraphicsLayoutItem * | item,
|  | Qt::Alignment | alignment
| ) |  |

Search for all occurrences

Qt::Alignment alignment | ( | QGraphicsLayoutItem * | item | ) | const

Search for all occurrences

void setGeometry | ( | const QRectF & | rect | ) | `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsLayoutItem.

int count | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QGraphicsLayout.

QGraphicsLayoutItem* itemAt | ( | int | index | ) | const `[virtual]`

Search for all occurrences

Implements QGraphicsLayout.

void invalidate | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsLayout.

QSizeF sizeHint | ( | Qt::SizeHint | which,
|  | const QSizeF & | constraint = `QSizeF()`
| ) |  | const `[virtual]`

Search for all occurrences

Implements QGraphicsLayoutItem.

void dump | ( | int | indent = `0` | ) | const

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qgraphicslinearlayout.h

QGraphicsLinearLayout QGraphicsLinearLayout QGraphicsLinearLayout QGraphicsLinearLayout QGraphicsLinearLayout QGraphicsLinearLayout QGraphicsLinearLayout QGraphicsLinearLayout QGraphicsLinearLayout QGraphicsLinearLayout
QGraphicsLinearLayout QGraphicsLinearLayout QGraphicsLinearLayout QGraphicsLinearLayout QGraphicsLinearLayout QGraphicsLinearLayout QGraphicsLinearLayout QGraphicsLinearLayout QGraphicsLinearLayout QGraphicsLinearLayout